snapcraft-version: 8.7.2
snapcraft-started-at: '2025-03-15T00:05:18.524193Z'
snapcraft-os-release-id: ubuntu
snapcraft-os-release-version-id: '22.04'
name: core22
version: '20250315'
summary: Runtime environment based on Ubuntu 22.04
description: |
  The base snap based on the Ubuntu 22.04 release.
base: null
grade: stable
confinement: strict
apps: null
parts:
  probert-deb:
    plugin: nil
    build-packages:
    - apt-utils
    - devscripts
    source: https://github.com/canonical/probert.git
    source-type: git
    source-commit: 94be2fa3f45e766ecee526fdc0c15f65a78667e6
    override-pull: |
      "/build/core22/build-package.sh" pull
    override-build: |
      "/build/core22/build-package.sh" build
    override-stage: |
      "/build/core22/build-package.sh" stage
    prime:
    - -local-debs
    stage-packages: []
    stage: []
  consoleconf-deb:
    build-packages:
    - apt-utils
    - devscripts
    plugin: nil
    source: https://github.com/canonical/subiquity.git
    source-type: git
    source-commit: 38544cf914cc1d3a400ea28ccc82a4cf60949fd3
    override-pull: |
      "/build/core22/build-package.sh" pull
    override-build: |
      "/build/core22/build-package.sh" build
    override-stage: |
      "/build/core22/build-package.sh" stage
    prime:
    - -local-debs
    stage-packages: []
    stage: []
  base:
    plugin: nil
    source: keyrings
    build-packages:
    - wget
    build-environment:
    - LTS: jammy
    - BASE: ${LTS}-base-amd64.tar.gz
    - DIR_URL: https://cdimage.ubuntu.com/ubuntu-base/${LTS}/daily/current
    - URL: ${DIR_URL}/${BASE}
    - SHA256: ${DIR_URL}/SHA256SUMS
    - SIG: ${SHA256}.gpg
    override-pull: |
      craftctl default
      wget "${SHA256}" "${SIG}" "${URL}"
      gpg --no-default-keyring \
          --keyring ./cd-image-keying.gpg \
          --verify SHA256SUMS.gpg SHA256SUMS
      awk -v "file=${BASE}" '$2=="*"file' SHA256SUMS | sha256sum -c
    override-build: |
      mkdir -p "${CRAFT_PART_INSTALL}/base"
      tar -x --xattrs-include=* -f "${BASE}" -C "${CRAFT_PART_INSTALL}/base"
    override-stage: |
      rm -rf "/build/core22/stage/base"
      craftctl default
    override-prime: |
      # Do nothing
    stage-packages: []
    stage: []
    prime: []
  splash-theme:
    plugin: dump
    source: https://github.com/snapcore/plymouth-theme-ubuntu-core.git
    source-type: git
    organize:
      ubuntu-core: usr/share/plymouth/themes/ubuntu-core
      copyright: usr/share/doc/plymouth-theme-ubuntu-core/copyright
    stage:
    - -README.md
    stage-packages: []
    prime: []
    build-packages: []
  bootstrap:
    after:
    - probert-deb
    - consoleconf-deb
    - base
    plugin: make
    source: .
    build-packages:
    - shellcheck
    - distro-info
    - python3-debian
    - python3-requests
    - python3-yaml
    override-pull: |
      craftctl default
      # detect whether we are doing a fips build on LP
      if git remote get-url origin | grep "fips"; then
        craftctl set version="$(/bin/date +%Y%m%d)+fips"
        echo "SNAP_FIPS_BUILD=1" > ./.fips-env
        echo "SNAP_CORE_TRACK=fips-updates" >> ./.fips-env
        echo "SNAP_BUILD_NAME=core22-fips" >> ./.fips-env
      else
        craftctl set version="$(/bin/date +%Y%m%d)"
        rm -f ./.fips-env
      fi
    override-prime: |
      craftctl default
      # ensure build-in tests are run
      cd ${CRAFT_PART_SRC} && make test TESTDIR=/build/core22/prime
    stage-packages: []
    stage: []
    prime: []
architectures:
- amd64
image-info:
  build-request-id: lp-96801971
  build-request-timestamp: '2025-03-15T00:01:33Z'
  build_url: https://launchpad.net/~ubuntu-core-service/+snap/core22/+build/2752563
build-packages: []
build-snaps: []
primed-stage-packages: []
